/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { AddRoleToDBClusterInput } from "../types/AddRoleToDBClusterInput";
import { AddRoleToDBClusterOutput } from "../types/AddRoleToDBClusterOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/AddRoleToDBClusterInput";
export * from "../types/AddRoleToDBClusterOutput";
export * from "../types/AddRoleToDBClusterExceptionsUnion";
export declare class AddRoleToDBClusterCommand implements __aws_sdk_types.Command<InputTypesUnion, AddRoleToDBClusterInput, OutputTypesUnion, AddRoleToDBClusterOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: AddRoleToDBClusterInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<AddRoleToDBClusterInput, AddRoleToDBClusterOutput, _stream.Readable>;
    constructor(input: AddRoleToDBClusterInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<AddRoleToDBClusterInput, AddRoleToDBClusterOutput>;
}
