/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateDBClusterSnapshotInput } from "../types/CreateDBClusterSnapshotInput";
import { CreateDBClusterSnapshotOutput } from "../types/CreateDBClusterSnapshotOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/CreateDBClusterSnapshotInput";
export * from "../types/CreateDBClusterSnapshotOutput";
export * from "../types/CreateDBClusterSnapshotExceptionsUnion";
export declare class CreateDBClusterSnapshotCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateDBClusterSnapshotInput, OutputTypesUnion, CreateDBClusterSnapshotOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: CreateDBClusterSnapshotInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateDBClusterSnapshotInput, CreateDBClusterSnapshotOutput, _stream.Readable>;
    constructor(input: CreateDBClusterSnapshotInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<CreateDBClusterSnapshotInput, CreateDBClusterSnapshotOutput>;
}
