/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateDBInstanceInput } from "../types/CreateDBInstanceInput";
import { CreateDBInstanceOutput } from "../types/CreateDBInstanceOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/CreateDBInstanceInput";
export * from "../types/CreateDBInstanceOutput";
export * from "../types/CreateDBInstanceExceptionsUnion";
export declare class CreateDBInstanceCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateDBInstanceInput, OutputTypesUnion, CreateDBInstanceOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: CreateDBInstanceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateDBInstanceInput, CreateDBInstanceOutput, _stream.Readable>;
    constructor(input: CreateDBInstanceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<CreateDBInstanceInput, CreateDBInstanceOutput>;
}
