/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateDBSnapshotInput } from "../types/CreateDBSnapshotInput";
import { CreateDBSnapshotOutput } from "../types/CreateDBSnapshotOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/CreateDBSnapshotInput";
export * from "../types/CreateDBSnapshotOutput";
export * from "../types/CreateDBSnapshotExceptionsUnion";
export declare class CreateDBSnapshotCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateDBSnapshotInput, OutputTypesUnion, CreateDBSnapshotOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: CreateDBSnapshotInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateDBSnapshotInput, CreateDBSnapshotOutput, _stream.Readable>;
    constructor(input: CreateDBSnapshotInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<CreateDBSnapshotInput, CreateDBSnapshotOutput>;
}
