/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteDBClusterEndpointInput } from "../types/DeleteDBClusterEndpointInput";
import { DeleteDBClusterEndpointOutput } from "../types/DeleteDBClusterEndpointOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DeleteDBClusterEndpointInput";
export * from "../types/DeleteDBClusterEndpointOutput";
export * from "../types/DeleteDBClusterEndpointExceptionsUnion";
export declare class DeleteDBClusterEndpointCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteDBClusterEndpointInput, OutputTypesUnion, DeleteDBClusterEndpointOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteDBClusterEndpointInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteDBClusterEndpointInput, DeleteDBClusterEndpointOutput, _stream.Readable>;
    constructor(input: DeleteDBClusterEndpointInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DeleteDBClusterEndpointInput, DeleteDBClusterEndpointOutput>;
}
