/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteDBInstanceAutomatedBackupInput } from "../types/DeleteDBInstanceAutomatedBackupInput";
import { DeleteDBInstanceAutomatedBackupOutput } from "../types/DeleteDBInstanceAutomatedBackupOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DeleteDBInstanceAutomatedBackupInput";
export * from "../types/DeleteDBInstanceAutomatedBackupOutput";
export * from "../types/DeleteDBInstanceAutomatedBackupExceptionsUnion";
export declare class DeleteDBInstanceAutomatedBackupCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteDBInstanceAutomatedBackupInput, OutputTypesUnion, DeleteDBInstanceAutomatedBackupOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteDBInstanceAutomatedBackupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteDBInstanceAutomatedBackupInput, DeleteDBInstanceAutomatedBackupOutput, _stream.Readable>;
    constructor(input: DeleteDBInstanceAutomatedBackupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DeleteDBInstanceAutomatedBackupInput, DeleteDBInstanceAutomatedBackupOutput>;
}
