/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteDBInstanceInput } from "../types/DeleteDBInstanceInput";
import { DeleteDBInstanceOutput } from "../types/DeleteDBInstanceOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DeleteDBInstanceInput";
export * from "../types/DeleteDBInstanceOutput";
export * from "../types/DeleteDBInstanceExceptionsUnion";
export declare class DeleteDBInstanceCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteDBInstanceInput, OutputTypesUnion, DeleteDBInstanceOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DeleteDBInstanceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteDBInstanceInput, DeleteDBInstanceOutput, _stream.Readable>;
    constructor(input: DeleteDBInstanceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DeleteDBInstanceInput, DeleteDBInstanceOutput>;
}
