/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeDBSnapshotAttributesInput } from "../types/DescribeDBSnapshotAttributesInput";
import { DescribeDBSnapshotAttributesOutput } from "../types/DescribeDBSnapshotAttributesOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DescribeDBSnapshotAttributesInput";
export * from "../types/DescribeDBSnapshotAttributesOutput";
export * from "../types/DescribeDBSnapshotAttributesExceptionsUnion";
export declare class DescribeDBSnapshotAttributesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeDBSnapshotAttributesInput, OutputTypesUnion, DescribeDBSnapshotAttributesOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeDBSnapshotAttributesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeDBSnapshotAttributesInput, DescribeDBSnapshotAttributesOutput, _stream.Readable>;
    constructor(input: DescribeDBSnapshotAttributesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DescribeDBSnapshotAttributesInput, DescribeDBSnapshotAttributesOutput>;
}
