/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeOptionGroupsInput } from "../types/DescribeOptionGroupsInput";
import { DescribeOptionGroupsOutput } from "../types/DescribeOptionGroupsOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DescribeOptionGroupsInput";
export * from "../types/DescribeOptionGroupsOutput";
export * from "../types/DescribeOptionGroupsExceptionsUnion";
export declare class DescribeOptionGroupsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeOptionGroupsInput, OutputTypesUnion, DescribeOptionGroupsOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeOptionGroupsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeOptionGroupsInput, DescribeOptionGroupsOutput, _stream.Readable>;
    constructor(input: DescribeOptionGroupsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DescribeOptionGroupsInput, DescribeOptionGroupsOutput>;
}
