/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RestoreDBInstanceFromDBSnapshotInput } from "../types/RestoreDBInstanceFromDBSnapshotInput";
import { RestoreDBInstanceFromDBSnapshotOutput } from "../types/RestoreDBInstanceFromDBSnapshotOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/RestoreDBInstanceFromDBSnapshotInput";
export * from "../types/RestoreDBInstanceFromDBSnapshotOutput";
export * from "../types/RestoreDBInstanceFromDBSnapshotExceptionsUnion";
export declare class RestoreDBInstanceFromDBSnapshotCommand implements __aws_sdk_types.Command<InputTypesUnion, RestoreDBInstanceFromDBSnapshotInput, OutputTypesUnion, RestoreDBInstanceFromDBSnapshotOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: RestoreDBInstanceFromDBSnapshotInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RestoreDBInstanceFromDBSnapshotInput, RestoreDBInstanceFromDBSnapshotOutput, _stream.Readable>;
    constructor(input: RestoreDBInstanceFromDBSnapshotInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<RestoreDBInstanceFromDBSnapshotInput, RestoreDBInstanceFromDBSnapshotOutput>;
}
