/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RestoreDBInstanceToPointInTimeInput } from "../types/RestoreDBInstanceToPointInTimeInput";
import { RestoreDBInstanceToPointInTimeOutput } from "../types/RestoreDBInstanceToPointInTimeOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/RestoreDBInstanceToPointInTimeInput";
export * from "../types/RestoreDBInstanceToPointInTimeOutput";
export * from "../types/RestoreDBInstanceToPointInTimeExceptionsUnion";
export declare class RestoreDBInstanceToPointInTimeCommand implements __aws_sdk_types.Command<InputTypesUnion, RestoreDBInstanceToPointInTimeInput, OutputTypesUnion, RestoreDBInstanceToPointInTimeOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: RestoreDBInstanceToPointInTimeInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RestoreDBInstanceToPointInTimeInput, RestoreDBInstanceToPointInTimeOutput, _stream.Readable>;
    constructor(input: RestoreDBInstanceToPointInTimeInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<RestoreDBInstanceToPointInTimeInput, RestoreDBInstanceToPointInTimeOutput>;
}
