/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StartDBClusterInput } from "../types/StartDBClusterInput";
import { StartDBClusterOutput } from "../types/StartDBClusterOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/StartDBClusterInput";
export * from "../types/StartDBClusterOutput";
export * from "../types/StartDBClusterExceptionsUnion";
export declare class StartDBClusterCommand implements __aws_sdk_types.Command<InputTypesUnion, StartDBClusterInput, OutputTypesUnion, StartDBClusterOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: StartDBClusterInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StartDBClusterInput, StartDBClusterOutput, _stream.Readable>;
    constructor(input: StartDBClusterInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<StartDBClusterInput, StartDBClusterOutput>;
}
