"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeDBClustersInput_1 = require("../shapes/DescribeDBClustersInput");
const DescribeDBClustersOutput_1 = require("../shapes/DescribeDBClustersOutput");
const DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeDBClusters = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeDBClusters",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeDBClustersInput_1.DescribeDBClustersInput
    },
    output: {
        shape: DescribeDBClustersOutput_1.DescribeDBClustersOutput,
        resultWrapper: "DescribeDBClustersResult"
    },
    errors: [
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribeDBClusters.js.map