"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeEventCategoriesInput_1 = require("../shapes/DescribeEventCategoriesInput");
const DescribeEventCategoriesOutput_1 = require("../shapes/DescribeEventCategoriesOutput");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeEventCategories = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeEventCategories",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribeEventCategoriesInput_1.DescribeEventCategoriesInput
    },
    output: {
        shape: DescribeEventCategoriesOutput_1.DescribeEventCategoriesOutput,
        resultWrapper: "DescribeEventCategoriesResult"
    },
    errors: []
};
//# sourceMappingURL=DescribeEventCategories.js.map