"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribePendingMaintenanceActionsInput_1 = require("../shapes/DescribePendingMaintenanceActionsInput");
const DescribePendingMaintenanceActionsOutput_1 = require("../shapes/DescribePendingMaintenanceActionsOutput");
const ResourceNotFoundFault_1 = require("../shapes/ResourceNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribePendingMaintenanceActions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribePendingMaintenanceActions",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DescribePendingMaintenanceActionsInput_1.DescribePendingMaintenanceActionsInput
    },
    output: {
        shape: DescribePendingMaintenanceActionsOutput_1.DescribePendingMaintenanceActionsOutput,
        resultWrapper: "DescribePendingMaintenanceActionsResult"
    },
    errors: [
        {
            shape: ResourceNotFoundFault_1.ResourceNotFoundFault
        }
    ]
};
//# sourceMappingURL=DescribePendingMaintenanceActions.js.map