"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListTagsForResourceInput_1 = require("../shapes/ListTagsForResourceInput");
const ListTagsForResourceOutput_1 = require("../shapes/ListTagsForResourceOutput");
const DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
const DBSnapshotNotFoundFault_1 = require("../shapes/DBSnapshotNotFoundFault");
const DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListTagsForResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListTagsForResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListTagsForResourceInput_1.ListTagsForResourceInput
    },
    output: {
        shape: ListTagsForResourceOutput_1.ListTagsForResourceOutput,
        resultWrapper: "ListTagsForResourceResult"
    },
    errors: [
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: DBSnapshotNotFoundFault_1.DBSnapshotNotFoundFault
        },
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        }
    ]
};
//# sourceMappingURL=ListTagsForResource.js.map