"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ModifyCurrentDBClusterCapacityInput_1 = require("../shapes/ModifyCurrentDBClusterCapacityInput");
const ModifyCurrentDBClusterCapacityOutput_1 = require("../shapes/ModifyCurrentDBClusterCapacityOutput");
const DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
const InvalidDBClusterStateFault_1 = require("../shapes/InvalidDBClusterStateFault");
const InvalidDBClusterCapacityFault_1 = require("../shapes/InvalidDBClusterCapacityFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ModifyCurrentDBClusterCapacity = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ModifyCurrentDBClusterCapacity",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ModifyCurrentDBClusterCapacityInput_1.ModifyCurrentDBClusterCapacityInput
    },
    output: {
        shape: ModifyCurrentDBClusterCapacityOutput_1.ModifyCurrentDBClusterCapacityOutput,
        resultWrapper: "ModifyCurrentDBClusterCapacityResult"
    },
    errors: [
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        },
        {
            shape: InvalidDBClusterStateFault_1.InvalidDBClusterStateFault
        },
        {
            shape: InvalidDBClusterCapacityFault_1.InvalidDBClusterCapacityFault
        }
    ]
};
//# sourceMappingURL=ModifyCurrentDBClusterCapacity.js.map