"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _EventCategoriesList_1 = require("./_EventCategoriesList");
const _SourceIdsList_1 = require("./_SourceIdsList");
const _TagList_1 = require("./_TagList");
exports.CreateEventSubscriptionInput = {
    type: "structure",
    required: ["SubscriptionName", "SnsTopicArn"],
    members: {
        SubscriptionName: {
            shape: {
                type: "string"
            }
        },
        SnsTopicArn: {
            shape: {
                type: "string"
            }
        },
        SourceType: {
            shape: {
                type: "string"
            }
        },
        EventCategories: {
            shape: _EventCategoriesList_1._EventCategoriesList
        },
        SourceIds: {
            shape: _SourceIdsList_1._SourceIdsList
        },
        Enabled: {
            shape: {
                type: "boolean"
            }
        },
        Tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=CreateEventSubscriptionInput.js.map