"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateGlobalClusterInput = {
    type: "structure",
    required: [],
    members: {
        GlobalClusterIdentifier: {
            shape: {
                type: "string"
            }
        },
        SourceDBClusterIdentifier: {
            shape: {
                type: "string"
            }
        },
        Engine: {
            shape: {
                type: "string"
            }
        },
        EngineVersion: {
            shape: {
                type: "string"
            }
        },
        DeletionProtection: {
            shape: {
                type: "boolean"
            }
        },
        DatabaseName: {
            shape: {
                type: "string"
            }
        },
        StorageEncrypted: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=CreateGlobalClusterInput.js.map