"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _FilterList_1 = require("./_FilterList");
exports.DescribeDBLogFilesInput = {
    type: "structure",
    required: ["DBInstanceIdentifier"],
    members: {
        DBInstanceIdentifier: {
            shape: {
                type: "string"
            }
        },
        FilenameContains: {
            shape: {
                type: "string"
            }
        },
        FileLastWritten: {
            shape: {
                type: "integer"
            }
        },
        FileSize: {
            shape: {
                type: "integer"
            }
        },
        Filters: {
            shape: _FilterList_1._FilterList
        },
        MaxRecords: {
            shape: {
                type: "integer"
            }
        },
        Marker: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=DescribeDBLogFilesInput.js.map