"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _OptionsList_1 = require("./_OptionsList");
exports._OptionGroup = {
    type: "structure",
    required: [],
    members: {
        OptionGroupName: {
            shape: {
                type: "string"
            }
        },
        OptionGroupDescription: {
            shape: {
                type: "string"
            }
        },
        EngineName: {
            shape: {
                type: "string"
            }
        },
        MajorEngineVersion: {
            shape: {
                type: "string"
            }
        },
        Options: {
            shape: _OptionsList_1._OptionsList
        },
        AllowsVpcAndNonVpcInstanceMemberships: {
            shape: {
                type: "boolean"
            }
        },
        VpcId: {
            shape: {
                type: "string"
            }
        },
        OptionGroupArn: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_OptionGroup.js.map