import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * <p>This data type is used as a response element to <code>DownloadDBLogFilePortion</code>.</p>
 */
export interface DownloadDBLogFilePortionOutput extends __aws_sdk_types.MetadataBearer {
    /**
     * <p>Entries from the specified log file.</p>
     */
    LogFileData?: string;
    /**
     * <p>A pagination token that can be used in a subsequent DownloadDBLogFilePortion request.</p>
     */
    Marker?: string;
    /**
     * <p>Boolean value that if true, indicates there is more data to be downloaded.</p>
     */
    AdditionalDataPending?: boolean;
    /**
     * Metadata about the response received, including the HTTP status code, HTTP headers, and any request identifiers recognized by the SDK.
     */
    $metadata: __aws_sdk_types.ResponseMetadata;
}
