/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ApplyPendingMaintenanceActionInput } from "../types/ApplyPendingMaintenanceActionInput";
import { ApplyPendingMaintenanceActionOutput } from "../types/ApplyPendingMaintenanceActionOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/ApplyPendingMaintenanceActionInput";
export * from "../types/ApplyPendingMaintenanceActionOutput";
export * from "../types/ApplyPendingMaintenanceActionExceptionsUnion";
export declare class ApplyPendingMaintenanceActionCommand implements __aws_sdk_types.Command<InputTypesUnion, ApplyPendingMaintenanceActionInput, OutputTypesUnion, ApplyPendingMaintenanceActionOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: ApplyPendingMaintenanceActionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ApplyPendingMaintenanceActionInput, ApplyPendingMaintenanceActionOutput, _stream.Readable>;
    constructor(input: ApplyPendingMaintenanceActionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<ApplyPendingMaintenanceActionInput, ApplyPendingMaintenanceActionOutput>;
}
