/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateGlobalClusterInput } from "../types/CreateGlobalClusterInput";
import { CreateGlobalClusterOutput } from "../types/CreateGlobalClusterOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/CreateGlobalClusterInput";
export * from "../types/CreateGlobalClusterOutput";
export * from "../types/CreateGlobalClusterExceptionsUnion";
export declare class CreateGlobalClusterCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateGlobalClusterInput, OutputTypesUnion, CreateGlobalClusterOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: CreateGlobalClusterInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateGlobalClusterInput, CreateGlobalClusterOutput, _stream.Readable>;
    constructor(input: CreateGlobalClusterInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<CreateGlobalClusterInput, CreateGlobalClusterOutput>;
}
