/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateOptionGroupInput } from "../types/CreateOptionGroupInput";
import { CreateOptionGroupOutput } from "../types/CreateOptionGroupOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/CreateOptionGroupInput";
export * from "../types/CreateOptionGroupOutput";
export * from "../types/CreateOptionGroupExceptionsUnion";
export declare class CreateOptionGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateOptionGroupInput, OutputTypesUnion, CreateOptionGroupOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: CreateOptionGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateOptionGroupInput, CreateOptionGroupOutput, _stream.Readable>;
    constructor(input: CreateOptionGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<CreateOptionGroupInput, CreateOptionGroupOutput>;
}
