/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeDBClusterBacktracksInput } from "../types/DescribeDBClusterBacktracksInput";
import { DescribeDBClusterBacktracksOutput } from "../types/DescribeDBClusterBacktracksOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DescribeDBClusterBacktracksInput";
export * from "../types/DescribeDBClusterBacktracksOutput";
export * from "../types/DescribeDBClusterBacktracksExceptionsUnion";
export declare class DescribeDBClusterBacktracksCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeDBClusterBacktracksInput, OutputTypesUnion, DescribeDBClusterBacktracksOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeDBClusterBacktracksInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeDBClusterBacktracksInput, DescribeDBClusterBacktracksOutput, _stream.Readable>;
    constructor(input: DescribeDBClusterBacktracksInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DescribeDBClusterBacktracksInput, DescribeDBClusterBacktracksOutput>;
}
