/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeDBClusterParametersInput } from "../types/DescribeDBClusterParametersInput";
import { DescribeDBClusterParametersOutput } from "../types/DescribeDBClusterParametersOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/DescribeDBClusterParametersInput";
export * from "../types/DescribeDBClusterParametersOutput";
export * from "../types/DescribeDBClusterParametersExceptionsUnion";
export declare class DescribeDBClusterParametersCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeDBClusterParametersInput, OutputTypesUnion, DescribeDBClusterParametersOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeDBClusterParametersInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeDBClusterParametersInput, DescribeDBClusterParametersOutput, _stream.Readable>;
    constructor(input: DescribeDBClusterParametersInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<DescribeDBClusterParametersInput, DescribeDBClusterParametersOutput>;
}
