/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { FailoverDBClusterInput } from "../types/FailoverDBClusterInput";
import { FailoverDBClusterOutput } from "../types/FailoverDBClusterOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/FailoverDBClusterInput";
export * from "../types/FailoverDBClusterOutput";
export * from "../types/FailoverDBClusterExceptionsUnion";
export declare class FailoverDBClusterCommand implements __aws_sdk_types.Command<InputTypesUnion, FailoverDBClusterInput, OutputTypesUnion, FailoverDBClusterOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: FailoverDBClusterInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<FailoverDBClusterInput, FailoverDBClusterOutput, _stream.Readable>;
    constructor(input: FailoverDBClusterInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<FailoverDBClusterInput, FailoverDBClusterOutput>;
}
