/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PurchaseReservedDBInstancesOfferingInput } from "../types/PurchaseReservedDBInstancesOfferingInput";
import { PurchaseReservedDBInstancesOfferingOutput } from "../types/PurchaseReservedDBInstancesOfferingOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/PurchaseReservedDBInstancesOfferingInput";
export * from "../types/PurchaseReservedDBInstancesOfferingOutput";
export * from "../types/PurchaseReservedDBInstancesOfferingExceptionsUnion";
export declare class PurchaseReservedDBInstancesOfferingCommand implements __aws_sdk_types.Command<InputTypesUnion, PurchaseReservedDBInstancesOfferingInput, OutputTypesUnion, PurchaseReservedDBInstancesOfferingOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: PurchaseReservedDBInstancesOfferingInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PurchaseReservedDBInstancesOfferingInput, PurchaseReservedDBInstancesOfferingOutput, _stream.Readable>;
    constructor(input: PurchaseReservedDBInstancesOfferingInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<PurchaseReservedDBInstancesOfferingInput, PurchaseReservedDBInstancesOfferingOutput>;
}
