/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { ResetDBParameterGroupInput } from "../types/ResetDBParameterGroupInput";
import { ResetDBParameterGroupOutput } from "../types/ResetDBParameterGroupOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/ResetDBParameterGroupInput";
export * from "../types/ResetDBParameterGroupOutput";
export * from "../types/ResetDBParameterGroupExceptionsUnion";
export declare class ResetDBParameterGroupCommand implements __aws_sdk_types.Command<InputTypesUnion, ResetDBParameterGroupInput, OutputTypesUnion, ResetDBParameterGroupOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: ResetDBParameterGroupInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<ResetDBParameterGroupInput, ResetDBParameterGroupOutput, _stream.Readable>;
    constructor(input: ResetDBParameterGroupInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<ResetDBParameterGroupInput, ResetDBParameterGroupOutput>;
}
