/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RevokeDBSecurityGroupIngressInput } from "../types/RevokeDBSecurityGroupIngressInput";
import { RevokeDBSecurityGroupIngressOutput } from "../types/RevokeDBSecurityGroupIngressOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/RevokeDBSecurityGroupIngressInput";
export * from "../types/RevokeDBSecurityGroupIngressOutput";
export * from "../types/RevokeDBSecurityGroupIngressExceptionsUnion";
export declare class RevokeDBSecurityGroupIngressCommand implements __aws_sdk_types.Command<InputTypesUnion, RevokeDBSecurityGroupIngressInput, OutputTypesUnion, RevokeDBSecurityGroupIngressOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: RevokeDBSecurityGroupIngressInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RevokeDBSecurityGroupIngressInput, RevokeDBSecurityGroupIngressOutput, _stream.Readable>;
    constructor(input: RevokeDBSecurityGroupIngressInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<RevokeDBSecurityGroupIngressInput, RevokeDBSecurityGroupIngressOutput>;
}
