/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { StartDBInstanceInput } from "../types/StartDBInstanceInput";
import { StartDBInstanceOutput } from "../types/StartDBInstanceOutput";
import { RDSResolvedConfiguration } from "../RDSConfiguration";
export * from "../types/StartDBInstanceInput";
export * from "../types/StartDBInstanceOutput";
export * from "../types/StartDBInstanceExceptionsUnion";
export declare class StartDBInstanceCommand implements __aws_sdk_types.Command<InputTypesUnion, StartDBInstanceInput, OutputTypesUnion, StartDBInstanceOutput, RDSResolvedConfiguration, _stream.Readable> {
    readonly input: StartDBInstanceInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<StartDBInstanceInput, StartDBInstanceOutput, _stream.Readable>;
    constructor(input: StartDBInstanceInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: RDSResolvedConfiguration): __aws_sdk_types.Handler<StartDBInstanceInput, StartDBInstanceOutput>;
}
