"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DeleteOptionGroupInput_1 = require("../shapes/DeleteOptionGroupInput");
const DeleteOptionGroupOutput_1 = require("../shapes/DeleteOptionGroupOutput");
const OptionGroupNotFoundFault_1 = require("../shapes/OptionGroupNotFoundFault");
const InvalidOptionGroupStateFault_1 = require("../shapes/InvalidOptionGroupStateFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteOptionGroup = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteOptionGroup",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DeleteOptionGroupInput_1.DeleteOptionGroupInput
    },
    output: {
        shape: DeleteOptionGroupOutput_1.DeleteOptionGroupOutput
    },
    errors: [
        {
            shape: OptionGroupNotFoundFault_1.OptionGroupNotFoundFault
        },
        {
            shape: InvalidOptionGroupStateFault_1.InvalidOptionGroupStateFault
        }
    ]
};
//# sourceMappingURL=DeleteOptionGroup.js.map