"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const RemoveTagsFromResourceInput_1 = require("../shapes/RemoveTagsFromResourceInput");
const RemoveTagsFromResourceOutput_1 = require("../shapes/RemoveTagsFromResourceOutput");
const DBInstanceNotFoundFault_1 = require("../shapes/DBInstanceNotFoundFault");
const DBSnapshotNotFoundFault_1 = require("../shapes/DBSnapshotNotFoundFault");
const DBClusterNotFoundFault_1 = require("../shapes/DBClusterNotFoundFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.RemoveTagsFromResource = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RemoveTagsFromResource",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RemoveTagsFromResourceInput_1.RemoveTagsFromResourceInput
    },
    output: {
        shape: RemoveTagsFromResourceOutput_1.RemoveTagsFromResourceOutput
    },
    errors: [
        {
            shape: DBInstanceNotFoundFault_1.DBInstanceNotFoundFault
        },
        {
            shape: DBSnapshotNotFoundFault_1.DBSnapshotNotFoundFault
        },
        {
            shape: DBClusterNotFoundFault_1.DBClusterNotFoundFault
        }
    ]
};
//# sourceMappingURL=RemoveTagsFromResource.js.map