"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _TagList_1 = require("./_TagList");
exports.CopyDBParameterGroupInput = {
    type: "structure",
    required: [
        "SourceDBParameterGroupIdentifier",
        "TargetDBParameterGroupIdentifier",
        "TargetDBParameterGroupDescription"
    ],
    members: {
        SourceDBParameterGroupIdentifier: {
            shape: {
                type: "string"
            }
        },
        TargetDBParameterGroupIdentifier: {
            shape: {
                type: "string"
            }
        },
        TargetDBParameterGroupDescription: {
            shape: {
                type: "string"
            }
        },
        Tags: {
            shape: _TagList_1._TagList
        }
    }
};
//# sourceMappingURL=CopyDBParameterGroupInput.js.map