"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _FilterList_1 = require("./_FilterList");
exports.DescribeDBClusterParametersInput = {
    type: "structure",
    required: ["DBClusterParameterGroupName"],
    members: {
        DBClusterParameterGroupName: {
            shape: {
                type: "string"
            }
        },
        Source: {
            shape: {
                type: "string"
            }
        },
        Filters: {
            shape: _FilterList_1._FilterList
        },
        MaxRecords: {
            shape: {
                type: "integer"
            }
        },
        Marker: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=DescribeDBClusterParametersInput.js.map