"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _VpcSecurityGroupIdList_1 = require("./_VpcSecurityGroupIdList");
const _TagList_1 = require("./_TagList");
const _LogTypeList_1 = require("./_LogTypeList");
exports.RestoreDBClusterToPointInTimeInput = {
    type: "structure",
    required: ["DBClusterIdentifier", "SourceDBClusterIdentifier"],
    members: {
        DBClusterIdentifier: {
            shape: {
                type: "string"
            }
        },
        RestoreType: {
            shape: {
                type: "string"
            }
        },
        SourceDBClusterIdentifier: {
            shape: {
                type: "string"
            }
        },
        RestoreToTime: {
            shape: {
                type: "timestamp"
            }
        },
        UseLatestRestorableTime: {
            shape: {
                type: "boolean"
            }
        },
        Port: {
            shape: {
                type: "integer"
            }
        },
        DBSubnetGroupName: {
            shape: {
                type: "string"
            }
        },
        OptionGroupName: {
            shape: {
                type: "string"
            }
        },
        VpcSecurityGroupIds: {
            shape: _VpcSecurityGroupIdList_1._VpcSecurityGroupIdList
        },
        Tags: {
            shape: _TagList_1._TagList
        },
        KmsKeyId: {
            shape: {
                type: "string"
            }
        },
        EnableIAMDatabaseAuthentication: {
            shape: {
                type: "boolean"
            }
        },
        BacktrackWindow: {
            shape: {
                type: "integer"
            }
        },
        EnableCloudwatchLogsExports: {
            shape: _LogTypeList_1._LogTypeList
        },
        DBClusterParameterGroupName: {
            shape: {
                type: "string"
            }
        },
        DeletionProtection: {
            shape: {
                type: "boolean"
            }
        },
        CopyTagsToSnapshot: {
            shape: {
                type: "boolean"
            }
        }
    }
};
//# sourceMappingURL=RestoreDBClusterToPointInTimeInput.js.map