"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _EC2SecurityGroupList_1 = require("./_EC2SecurityGroupList");
const _IPRangeList_1 = require("./_IPRangeList");
exports._DBSecurityGroup = {
    type: "structure",
    required: [],
    members: {
        OwnerId: {
            shape: {
                type: "string"
            }
        },
        DBSecurityGroupName: {
            shape: {
                type: "string"
            }
        },
        DBSecurityGroupDescription: {
            shape: {
                type: "string"
            }
        },
        VpcId: {
            shape: {
                type: "string"
            }
        },
        EC2SecurityGroups: {
            shape: _EC2SecurityGroupList_1._EC2SecurityGroupList
        },
        IPRanges: {
            shape: _IPRangeList_1._IPRangeList
        },
        DBSecurityGroupArn: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_DBSecurityGroup.js.map