import { DBInstanceNotFoundFault } from "./DBInstanceNotFoundFault";
import { InvalidDBInstanceStateFault } from "./InvalidDBInstanceStateFault";
import { DBSnapshotAlreadyExistsFault } from "./DBSnapshotAlreadyExistsFault";
import { SnapshotQuotaExceededFault } from "./SnapshotQuotaExceededFault";
import { InvalidDBClusterStateFault } from "./InvalidDBClusterStateFault";
import { DBInstanceAutomatedBackupQuotaExceededFault } from "./DBInstanceAutomatedBackupQuotaExceededFault";
export declare type DeleteDBInstanceExceptionsUnion = DBInstanceNotFoundFault | InvalidDBInstanceStateFault | DBSnapshotAlreadyExistsFault | SnapshotQuotaExceededFault | InvalidDBClusterStateFault | DBInstanceAutomatedBackupQuotaExceededFault;
