import { AddRoleToDBClusterInput } from "./AddRoleToDBClusterInput";
import { AddRoleToDBInstanceInput } from "./AddRoleToDBInstanceInput";
import { AddSourceIdentifierToSubscriptionInput } from "./AddSourceIdentifierToSubscriptionInput";
import { AddTagsToResourceInput } from "./AddTagsToResourceInput";
import { ApplyPendingMaintenanceActionInput } from "./ApplyPendingMaintenanceActionInput";
import { AuthorizeDBSecurityGroupIngressInput } from "./AuthorizeDBSecurityGroupIngressInput";
import { BacktrackDBClusterInput } from "./BacktrackDBClusterInput";
import { CopyDBClusterParameterGroupInput } from "./CopyDBClusterParameterGroupInput";
import { CopyDBClusterSnapshotInput } from "./CopyDBClusterSnapshotInput";
import { CopyDBParameterGroupInput } from "./CopyDBParameterGroupInput";
import { CopyDBSnapshotInput } from "./CopyDBSnapshotInput";
import { CopyOptionGroupInput } from "./CopyOptionGroupInput";
import { CreateDBClusterInput } from "./CreateDBClusterInput";
import { CreateDBClusterEndpointInput } from "./CreateDBClusterEndpointInput";
import { CreateDBClusterParameterGroupInput } from "./CreateDBClusterParameterGroupInput";
import { CreateDBClusterSnapshotInput } from "./CreateDBClusterSnapshotInput";
import { CreateDBInstanceInput } from "./CreateDBInstanceInput";
import { CreateDBInstanceReadReplicaInput } from "./CreateDBInstanceReadReplicaInput";
import { CreateDBParameterGroupInput } from "./CreateDBParameterGroupInput";
import { CreateDBSecurityGroupInput } from "./CreateDBSecurityGroupInput";
import { CreateDBSnapshotInput } from "./CreateDBSnapshotInput";
import { CreateDBSubnetGroupInput } from "./CreateDBSubnetGroupInput";
import { CreateEventSubscriptionInput } from "./CreateEventSubscriptionInput";
import { CreateGlobalClusterInput } from "./CreateGlobalClusterInput";
import { CreateOptionGroupInput } from "./CreateOptionGroupInput";
import { DeleteDBClusterInput } from "./DeleteDBClusterInput";
import { DeleteDBClusterEndpointInput } from "./DeleteDBClusterEndpointInput";
import { DeleteDBClusterParameterGroupInput } from "./DeleteDBClusterParameterGroupInput";
import { DeleteDBClusterSnapshotInput } from "./DeleteDBClusterSnapshotInput";
import { DeleteDBInstanceInput } from "./DeleteDBInstanceInput";
import { DeleteDBInstanceAutomatedBackupInput } from "./DeleteDBInstanceAutomatedBackupInput";
import { DeleteDBParameterGroupInput } from "./DeleteDBParameterGroupInput";
import { DeleteDBSecurityGroupInput } from "./DeleteDBSecurityGroupInput";
import { DeleteDBSnapshotInput } from "./DeleteDBSnapshotInput";
import { DeleteDBSubnetGroupInput } from "./DeleteDBSubnetGroupInput";
import { DeleteEventSubscriptionInput } from "./DeleteEventSubscriptionInput";
import { DeleteGlobalClusterInput } from "./DeleteGlobalClusterInput";
import { DeleteOptionGroupInput } from "./DeleteOptionGroupInput";
import { DescribeAccountAttributesInput } from "./DescribeAccountAttributesInput";
import { DescribeCertificatesInput } from "./DescribeCertificatesInput";
import { DescribeDBClusterBacktracksInput } from "./DescribeDBClusterBacktracksInput";
import { DescribeDBClusterEndpointsInput } from "./DescribeDBClusterEndpointsInput";
import { DescribeDBClusterParameterGroupsInput } from "./DescribeDBClusterParameterGroupsInput";
import { DescribeDBClusterParametersInput } from "./DescribeDBClusterParametersInput";
import { DescribeDBClusterSnapshotAttributesInput } from "./DescribeDBClusterSnapshotAttributesInput";
import { DescribeDBClusterSnapshotsInput } from "./DescribeDBClusterSnapshotsInput";
import { DescribeDBClustersInput } from "./DescribeDBClustersInput";
import { DescribeDBEngineVersionsInput } from "./DescribeDBEngineVersionsInput";
import { DescribeDBInstanceAutomatedBackupsInput } from "./DescribeDBInstanceAutomatedBackupsInput";
import { DescribeDBInstancesInput } from "./DescribeDBInstancesInput";
import { DescribeDBLogFilesInput } from "./DescribeDBLogFilesInput";
import { DescribeDBParameterGroupsInput } from "./DescribeDBParameterGroupsInput";
import { DescribeDBParametersInput } from "./DescribeDBParametersInput";
import { DescribeDBSecurityGroupsInput } from "./DescribeDBSecurityGroupsInput";
import { DescribeDBSnapshotAttributesInput } from "./DescribeDBSnapshotAttributesInput";
import { DescribeDBSnapshotsInput } from "./DescribeDBSnapshotsInput";
import { DescribeDBSubnetGroupsInput } from "./DescribeDBSubnetGroupsInput";
import { DescribeEngineDefaultClusterParametersInput } from "./DescribeEngineDefaultClusterParametersInput";
import { DescribeEngineDefaultParametersInput } from "./DescribeEngineDefaultParametersInput";
import { DescribeEventCategoriesInput } from "./DescribeEventCategoriesInput";
import { DescribeEventSubscriptionsInput } from "./DescribeEventSubscriptionsInput";
import { DescribeEventsInput } from "./DescribeEventsInput";
import { DescribeGlobalClustersInput } from "./DescribeGlobalClustersInput";
import { DescribeOptionGroupOptionsInput } from "./DescribeOptionGroupOptionsInput";
import { DescribeOptionGroupsInput } from "./DescribeOptionGroupsInput";
import { DescribeOrderableDBInstanceOptionsInput } from "./DescribeOrderableDBInstanceOptionsInput";
import { DescribePendingMaintenanceActionsInput } from "./DescribePendingMaintenanceActionsInput";
import { DescribeReservedDBInstancesInput } from "./DescribeReservedDBInstancesInput";
import { DescribeReservedDBInstancesOfferingsInput } from "./DescribeReservedDBInstancesOfferingsInput";
import { DescribeSourceRegionsInput } from "./DescribeSourceRegionsInput";
import { DescribeValidDBInstanceModificationsInput } from "./DescribeValidDBInstanceModificationsInput";
import { DownloadDBLogFilePortionInput } from "./DownloadDBLogFilePortionInput";
import { FailoverDBClusterInput } from "./FailoverDBClusterInput";
import { ListTagsForResourceInput } from "./ListTagsForResourceInput";
import { ModifyCurrentDBClusterCapacityInput } from "./ModifyCurrentDBClusterCapacityInput";
import { ModifyDBClusterInput } from "./ModifyDBClusterInput";
import { ModifyDBClusterEndpointInput } from "./ModifyDBClusterEndpointInput";
import { ModifyDBClusterParameterGroupInput } from "./ModifyDBClusterParameterGroupInput";
import { ModifyDBClusterSnapshotAttributeInput } from "./ModifyDBClusterSnapshotAttributeInput";
import { ModifyDBInstanceInput } from "./ModifyDBInstanceInput";
import { ModifyDBParameterGroupInput } from "./ModifyDBParameterGroupInput";
import { ModifyDBSnapshotInput } from "./ModifyDBSnapshotInput";
import { ModifyDBSnapshotAttributeInput } from "./ModifyDBSnapshotAttributeInput";
import { ModifyDBSubnetGroupInput } from "./ModifyDBSubnetGroupInput";
import { ModifyEventSubscriptionInput } from "./ModifyEventSubscriptionInput";
import { ModifyGlobalClusterInput } from "./ModifyGlobalClusterInput";
import { ModifyOptionGroupInput } from "./ModifyOptionGroupInput";
import { PromoteReadReplicaInput } from "./PromoteReadReplicaInput";
import { PromoteReadReplicaDBClusterInput } from "./PromoteReadReplicaDBClusterInput";
import { PurchaseReservedDBInstancesOfferingInput } from "./PurchaseReservedDBInstancesOfferingInput";
import { RebootDBInstanceInput } from "./RebootDBInstanceInput";
import { RemoveFromGlobalClusterInput } from "./RemoveFromGlobalClusterInput";
import { RemoveRoleFromDBClusterInput } from "./RemoveRoleFromDBClusterInput";
import { RemoveRoleFromDBInstanceInput } from "./RemoveRoleFromDBInstanceInput";
import { RemoveSourceIdentifierFromSubscriptionInput } from "./RemoveSourceIdentifierFromSubscriptionInput";
import { RemoveTagsFromResourceInput } from "./RemoveTagsFromResourceInput";
import { ResetDBClusterParameterGroupInput } from "./ResetDBClusterParameterGroupInput";
import { ResetDBParameterGroupInput } from "./ResetDBParameterGroupInput";
import { RestoreDBClusterFromS3Input } from "./RestoreDBClusterFromS3Input";
import { RestoreDBClusterFromSnapshotInput } from "./RestoreDBClusterFromSnapshotInput";
import { RestoreDBClusterToPointInTimeInput } from "./RestoreDBClusterToPointInTimeInput";
import { RestoreDBInstanceFromDBSnapshotInput } from "./RestoreDBInstanceFromDBSnapshotInput";
import { RestoreDBInstanceFromS3Input } from "./RestoreDBInstanceFromS3Input";
import { RestoreDBInstanceToPointInTimeInput } from "./RestoreDBInstanceToPointInTimeInput";
import { RevokeDBSecurityGroupIngressInput } from "./RevokeDBSecurityGroupIngressInput";
import { StartActivityStreamInput } from "./StartActivityStreamInput";
import { StartDBClusterInput } from "./StartDBClusterInput";
import { StartDBInstanceInput } from "./StartDBInstanceInput";
import { StopActivityStreamInput } from "./StopActivityStreamInput";
import { StopDBClusterInput } from "./StopDBClusterInput";
import { StopDBInstanceInput } from "./StopDBInstanceInput";
export declare type InputTypesUnion = AddRoleToDBClusterInput | AddRoleToDBInstanceInput | AddSourceIdentifierToSubscriptionInput | AddTagsToResourceInput | ApplyPendingMaintenanceActionInput | AuthorizeDBSecurityGroupIngressInput | BacktrackDBClusterInput | CopyDBClusterParameterGroupInput | CopyDBClusterSnapshotInput | CopyDBParameterGroupInput | CopyDBSnapshotInput | CopyOptionGroupInput | CreateDBClusterInput | CreateDBClusterEndpointInput | CreateDBClusterParameterGroupInput | CreateDBClusterSnapshotInput | CreateDBInstanceInput | CreateDBInstanceReadReplicaInput | CreateDBParameterGroupInput | CreateDBSecurityGroupInput | CreateDBSnapshotInput | CreateDBSubnetGroupInput | CreateEventSubscriptionInput | CreateGlobalClusterInput | CreateOptionGroupInput | DeleteDBClusterInput | DeleteDBClusterEndpointInput | DeleteDBClusterParameterGroupInput | DeleteDBClusterSnapshotInput | DeleteDBInstanceInput | DeleteDBInstanceAutomatedBackupInput | DeleteDBParameterGroupInput | DeleteDBSecurityGroupInput | DeleteDBSnapshotInput | DeleteDBSubnetGroupInput | DeleteEventSubscriptionInput | DeleteGlobalClusterInput | DeleteOptionGroupInput | DescribeAccountAttributesInput | DescribeCertificatesInput | DescribeDBClusterBacktracksInput | DescribeDBClusterEndpointsInput | DescribeDBClusterParameterGroupsInput | DescribeDBClusterParametersInput | DescribeDBClusterSnapshotAttributesInput | DescribeDBClusterSnapshotsInput | DescribeDBClustersInput | DescribeDBEngineVersionsInput | DescribeDBInstanceAutomatedBackupsInput | DescribeDBInstancesInput | DescribeDBLogFilesInput | DescribeDBParameterGroupsInput | DescribeDBParametersInput | DescribeDBSecurityGroupsInput | DescribeDBSnapshotAttributesInput | DescribeDBSnapshotsInput | DescribeDBSubnetGroupsInput | DescribeEngineDefaultClusterParametersInput | DescribeEngineDefaultParametersInput | DescribeEventCategoriesInput | DescribeEventSubscriptionsInput | DescribeEventsInput | DescribeGlobalClustersInput | DescribeOptionGroupOptionsInput | DescribeOptionGroupsInput | DescribeOrderableDBInstanceOptionsInput | DescribePendingMaintenanceActionsInput | DescribeReservedDBInstancesInput | DescribeReservedDBInstancesOfferingsInput | DescribeSourceRegionsInput | DescribeValidDBInstanceModificationsInput | DownloadDBLogFilePortionInput | FailoverDBClusterInput | ListTagsForResourceInput | ModifyCurrentDBClusterCapacityInput | ModifyDBClusterInput | ModifyDBClusterEndpointInput | ModifyDBClusterParameterGroupInput | ModifyDBClusterSnapshotAttributeInput | ModifyDBInstanceInput | ModifyDBParameterGroupInput | ModifyDBSnapshotInput | ModifyDBSnapshotAttributeInput | ModifyDBSubnetGroupInput | ModifyEventSubscriptionInput | ModifyGlobalClusterInput | ModifyOptionGroupInput | PromoteReadReplicaInput | PromoteReadReplicaDBClusterInput | PurchaseReservedDBInstancesOfferingInput | RebootDBInstanceInput | RemoveFromGlobalClusterInput | RemoveRoleFromDBClusterInput | RemoveRoleFromDBInstanceInput | RemoveSourceIdentifierFromSubscriptionInput | RemoveTagsFromResourceInput | ResetDBClusterParameterGroupInput | ResetDBParameterGroupInput | RestoreDBClusterFromS3Input | RestoreDBClusterFromSnapshotInput | RestoreDBClusterToPointInTimeInput | RestoreDBInstanceFromDBSnapshotInput | RestoreDBInstanceFromS3Input | RestoreDBInstanceToPointInTimeInput | RevokeDBSecurityGroupIngressInput | StartActivityStreamInput | StartDBClusterInput | StartDBInstanceInput | StopActivityStreamInput | StopDBClusterInput | StopDBInstanceInput;
