/**
 * <p>This data type is used as a response element in the following actions:</p> <ul> <li> <p> <code>ModifyDBInstance</code> </p> </li> <li> <p> <code>RebootDBInstance</code> </p> </li> <li> <p> <code>RestoreDBInstanceFromDBSnapshot</code> </p> </li> <li> <p> <code>RestoreDBInstanceToPointInTime</code> </p> </li> </ul>
 */
export interface _DBSecurityGroupMembership {
    /**
     * <p>The name of the DB security group.</p>
     */
    DBSecurityGroupName?: string;
    /**
     * <p>The status of the DB security group.</p>
     */
    Status?: string;
}
export declare type _UnmarshalledDBSecurityGroupMembership = _DBSecurityGroupMembership;
